summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Logan Rathbone2021-08-11 19:00:02 +0200
committer Willy Sudiarto Raharjo2021-08-14 16:18:00 +0200
commit19120a161041c5cd1ba75eec0d5c19dc79d2c461 (patch)
treea00f3bc609208090538537e8ba50237cd3e2c97d
parentff7885f7214cf3f8b54b7b0882c7923eeb5a792f (diff)
downloadslackbuilds-19120a161041c5cd1ba75eec0d5c19dc79d2c461.tar.gz
desktop/zenity: Updated for version 3.41.0, changed maintainer.
Refactored script, note the opt dep webkit2gtk Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--desktop/zenity/README13
-rw-r--r--desktop/zenity/slack-desc6
-rw-r--r--desktop/zenity/zenity.SlackBuild66
-rw-r--r--desktop/zenity/zenity.info10
4 files changed, 58 insertions, 37 deletions
diff --git a/desktop/zenity/README b/desktop/zenity/README
index 0abb6d90d8..9ecb1efdd8 100644
--- a/desktop/zenity/README
+++ b/desktop/zenity/README
@@ -1,3 +1,10 @@
-Zenity is a tool that allows you to display Gtk+ dialog boxes from
-the command line and through shell scripts. It is similar to
-gdialog, but is intended to be saner.
+Zenity is a tool that allows you to display GTK dialog boxes from
+the command line and through shell scripts. It is designed to be
+similar to the classic `dialog` program, but with a GUI interface.
+
+OPTIONAL DEPENDENCIES:
+
+* webkit2gtk >= 2.8.1
+
+ To enable: pass `WEBKITGTK=true` as an option to the slackbuild.
+ If this is not specified, it will default to `false`.
diff --git a/desktop/zenity/slack-desc b/desktop/zenity/slack-desc
index 750495cf46..c56b7bcf3c 100644
--- a/desktop/zenity/slack-desc
+++ b/desktop/zenity/slack-desc
@@ -9,9 +9,9 @@
zenity: zenity (display gtk dialog boxes from cli)
zenity:
zenity: Zenity is a tool that allows you to display Gtk+ dialog boxes from
-zenity: the command line and through shell scripts. It is similar to
-zenity: gdialog, but is intended to be saner.
-zenity:
+zenity: the command line and through shell scripts. It is designed to be
+zenity: similar to the classic `dialog` program, but with a GUI interface.
+zenity:
zenity: Homepage: http://live.gnome.org/Zenity
zenity:
zenity:
diff --git a/desktop/zenity/zenity.SlackBuild b/desktop/zenity/zenity.SlackBuild
index 1d33c9e8d7..003a8ceb36 100644
--- a/desktop/zenity/zenity.SlackBuild
+++ b/desktop/zenity/zenity.SlackBuild
@@ -3,6 +3,7 @@
# Slackware build script for Zenity
# Copyright 2015-2018 Erik W. Hanson, Minneapolis, MN, USA
+# Copyright © 2021 Logan Rathbone <poprocks@gmail.com>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -27,14 +28,14 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=zenity
-VERSION=${VERSION:-3.28.0}
+VERSION=${VERSION:-3.41.0}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
@@ -52,8 +53,8 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
@@ -72,36 +73,49 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.?z*
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z
cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
-
-CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS" \
-./configure \
- --prefix=/usr \
- --libdir=/usr/lib${LIBDIRSUFFIX} \
- --sysconfdir=/etc \
- --localstatedir=/var \
- --mandir=/usr/man \
- --enable-debug=no \
- --enable-libnotify \
- --build=$ARCH-slackware-linux
-
-make
-make install-strip DESTDIR=$PKG
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# nb: libnotify is enabled by default as it is included in slackware.
+# webkitgtk is an optional dependency (NOT included in slackware) which may be
+# enabled upon request.
+
+mkdir build
+cd build
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ meson .. \
+ --buildtype=release \
+ --infodir=/usr/info \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ -Dlibnotify=true \
+ -Dwebkitgtk=${WEBKITGTK:-false}
+ ninja
+ DESTDIR=$PKG ninja install
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find $PKG/usr/man -type f -exec gzip -9 {} \;
for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS ChangeLog COPYING HACKING NEWS README THANKS TODO \
- $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS ChangeLog HACKING README TODO \
+ COPYING ChangeLog.pre-git NEWS THANKS \
+ $PKG/usr/doc/$PRGNAM-$VERSION || true
+
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
diff --git a/desktop/zenity/zenity.info b/desktop/zenity/zenity.info
index ece2237030..08086ec597 100644
--- a/desktop/zenity/zenity.info
+++ b/desktop/zenity/zenity.info
@@ -1,10 +1,10 @@
PRGNAM="zenity"
-VERSION="3.28.0"
+VERSION="3.41.0"
HOMEPAGE="http://live.gnome.org/Zenity"
-DOWNLOAD="http://ftp.acc.umu.se/pub/gnome/sources/zenity/3.28/zenity-3.28.0.tar.xz"
-MD5SUM="0916c428ed858242c0864da4dc4c7f02"
+DOWNLOAD="https://download.gnome.org/sources/zenity/3.41/zenity-3.41.0.tar.xz"
+MD5SUM="65d1cad680248b2d3dd3c4dd9379eb52"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""
-MAINTAINER="Erik Hanson"
-EMAIL="erik@slackbuilds.org"
+MAINTAINER="Logan Rathbone"
+EMAIL="poprocks@gmail.com"